package edu.whs.spin2018.baoapp.model.spiel;

public interface TimerListener {

    /**
     * Wird bei jedem Tick des BaoTimers aufgerufen um die uebrige Zeit weiterzuleiten.
     * @param uebrigeZeit
     */
    void onTick(long uebrigeZeit);

    /**
     * Wird aufgerufen, wenn der BaoTimer abgelaufen ist.
     */
    void onFinish();

    /**
     * Wird bei jedem TimerStart aufgerufen.
     */
    void onTimerStart();
}
